Subject: Re: bug#23599: Including search directories for pdf and dvi

From: Mathieu Lirzin <[email-masked]>
Date: Mon, 23 May 2016 13:50:35 +0200

Mohammad Akhlaghi <[email-masked]> writes:

> Your solution is indeed much better than mine. It would be great if
> Automake could account for the change in texi2dvi's behavior (not
> handling arguments through the MAKEINFO shell variable).

I agree.  Fixing the issue seems not trivial because it will require not
breaking backward compatibility with older version of Texinfo.

> I added a TEXI2DVI definition in my doc/Makefile.am, but I get the
> following error when running autoreconf (or automake independently):
>
>   automake: warnings are treated as errors
>   doc/Makefile.am:36: warning: user variable 'TEXI2DVI' defined here ...
>   /usr/share/automake-1.15/am/texinfos.am: ... overrides Automake
>   variable 'TEXI2DVI' defined here
>   autoreconf: automake failed with exit status: 1
>
> This is strange, because according to the Automake manual: "a variable
> defined in ‘Makefile.am’ or ‘AC_SUBST’ed from ‘configure.ac’ will
> override any definition of the variable that ‘automake’ would
> ordinarily create."

This is normally just a warning.  It is treated as an error because you
are using "-Werror" in automake options.  To remove this error you can
add "-Wno-override".

Thanks.

-- 
Mathieu Lirzin